%define oname engrampa

Name:           mate-file-archiver
Version:        1.20.0
Release:        1uplos2018
Summary:        MATE Desktop file archiver
Group:		Graphical desktop/Mate
License:        GPLv2+ and LGPLv2+
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/1.8/%{oname}-%{version}.tar.xz
#---------------------------------------------------
BuildRequires:  mate-common
BuildRequires:  desktop-file-utils
BuildRequires:  mate-file-manager-devel
BuildRequires:  mate-desktop-devel
BuildRequires:  gsettings-desktop-schemas-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}ice-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}sm-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: libxml2-utils
#------------------------------------------------
Requires:	dconf
Requires:	dconf-editor
Provides: engrampa

%description
Mate File Archiver is an application for creating and viewing archives files,
such as tar or zip files.


%prep
%setup -qn %oname-%version
%apply_patches


%build
%configure2_5x                 \
   --disable-scrollkeeper  \
   --disable-static        \
   --with-gtk=3.0          \
   --enable-caja-actions

%make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Compression" \
  --add-category="X-MandrivaLinux-System-Archiving-Compression" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

find %{buildroot} -name "*.la" -exec rm -f {} ';'
rm -f %{buildroot}%{_datadir}/MateConf/gsettings/engrampa.convert


%find_lang engrampa

%post
/bin/touch --no-create %{_datadir}/icons/mate &> /dev/null || :
/usr/bin/update-desktop-database &> /dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &> /dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi
/usr/bin/update-desktop-database &> /dev/null || :

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%files -f engrampa.lang
%defattr(-,root,root,-)
%doc README COPYING NEWS AUTHORS
%{_bindir}/engrampa
%{_datadir}/engrampa
%{_datadir}/help
%{_datadir}/applications/engrampa.desktop
%{_datadir}/glib-2.0/schemas/org.mate.engrampa.gschema.xml
%{_libdir}/caja/extensions-2.0/libcaja-engrampa.so
%{_libexecdir}/engrampa/isoinfo.sh
%{_libexecdir}/engrampa/rpm2cpio
%{_datadir}/icons/hicolor
%{_datadir}/man/man1/engrampa.1.bz2
%{_libexecdir}/engrampa-server
%{_datadir}/appdata/engrampa.appdata.xml
%{_datadir}/caja/extensions/libcaja-engrampa.caja-extension
%{_datadir}/dbus-1/services/org.mate.Engrampa.service

%clean
rm -rf %buildroot

%changelog
* Thu Feb 15 2018 threepio <threepiouplos@protonmail.com> 1.20.0-1uplos2018
- new version
